# test_submitted.py

"""revision $Id: test_zz_submitted.py 297 2006-06-15 00:46:44Z Franz $

TESTS:
COOL rule execution coherence on SYMBOL

"""


class ctc_Submitted(ctestcase):
    """tests submitted by users"""

    def ctf_Submitted01(self):
        """Testing: COOL rule execution coherence on SYMBOL"""
        for x in self.envdict.keys():
            e = self.envdict[x]
            e.Clear()
            e.Reset()
            C = e.BuildClass("C", "(is-a USER)(slot a1)")
            c = C.BuildInstance("c")
            c.Slots['a1'] = clips.Symbol("HELLO")
            r = e.BuildRule(
                "r1",
                """(object (is-a C) (a1 ?a1&HELLO))""",
                """(assert (success))"""
                )
            e.Run()
            f = e.InitialFact()
            while f.Next():
                f = f.Next()
            self.assertEqual(f.Relation, clips.Symbol("success"))


    def ctf_Submitted02(self):
        """Testing: COOL rule execution coherence on STRING"""
        for x in self.envdict.keys():
            e = self.envdict[x]
            e.Clear()
            e.Reset()
            C = e.BuildClass("C", "(is-a USER)(slot a1)")
            c = C.BuildInstance("c")
            c.Slots['a1'] = clips.String("HELLO")
            r = e.BuildRule(
                "r1",
                """
                    (object (is-a C) (a1 ?a1))
                    (test (eq (str-compare  ?a1 "HELLO") 0))
                """,
                """(assert (success))"""
                )
            e.Run()
            f = e.InitialFact()
            while f.Next():
                f = f.Next()
            self.assertEqual(f.Relation, clips.Symbol("success"))



# end.
